- MongoDB C Driver 1.13.1 »
- API Reference »
- mongoc_database_t

# mongoc_database_get_read_prefs()

## Synopsis

    const mongoc_read_prefs_t *
    mongoc_database_get_read_prefs (const mongoc_database_t *database);

Fetches the default read preferences to use with `database`.

## Parameters

- `database`: A mongoc_database_t.

## Returns

A mongoc_write_concern_t that should not be modified or freed.

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.